Bug 1092745 - Make fedora-easy-karma ignore own updates
Summary: Make fedora-easy-karma ignore own updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-29 21:24 UTC by Jamie Nguyen
Modified: 2014-12-17 19:45 UTC (History)
2 users (show)

Fixed In Version: fedora-easy-karma-0-0.23.20140905git5fb5b77a.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-13 18:17:28 UTC


Attachments (Terms of Use)
Adds --ignore-own option (2.36 KB, patch)
2014-04-29 21:24 UTC, Jamie Nguyen
no flags Details | Diff
Adds --ignore-own option (2.25 KB, patch)
2014-04-29 21:47 UTC, Jamie Nguyen
no flags Details | Diff
Adds --ignore-own option (2.22 KB, patch)
2014-04-29 21:55 UTC, Jamie Nguyen
no flags Details | Diff

Description Jamie Nguyen 2014-04-29 21:24:06 UTC
Created attachment 890945 [details]
Adds --ignore-own option

When using fedora-easy-karma to add karma to updates, lots of updates that I've submitted appear and ask for comments. I have to skip through them because adding karma to an update I've submitted is useless.

I'd like to be able to ignore all packages that I've submitted.

I've attached a patch that adds an "--ignore-own" option. This will allow the user to ignore all updates that they have submitted themselves.



Version-Release number of selected component (if applicable):

 - fedora-easy-karma-0-0.20.20130707git121694f6.fc20

Comment 1 Jamie Nguyen 2014-04-29 21:47:17 UTC
Created attachment 890949 [details]
Adds --ignore-own option

Comment 2 Jamie Nguyen 2014-04-29 21:55:42 UTC
Created attachment 890961 [details]
Adds --ignore-own option

Comment 3 Till Maas 2014-08-31 15:28:54 UTC
I made this the default and use the FAS username as f-e-k figured it out, so it works normally without the --fas-username option.

Comment 4 Fedora Update System 2014-08-31 15:31:41 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.fc20

Comment 5 Fedora Update System 2014-08-31 15:31:47 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.el5

Comment 6 Fedora Update System 2014-08-31 15:31:52 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.el7

Comment 7 Fedora Update System 2014-08-31 15:31:57 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.fc21

Comment 8 Fedora Update System 2014-08-31 15:32:02 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.el6

Comment 9 Fedora Update System 2014-08-31 15:32:07 UTC
fedora-easy-karma-0-0.22.20140831git1ae921a8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.22.20140831git1ae921a8.fc19

Comment 10 Fedora Update System 2014-09-01 19:45:46 UTC
Package fedora-easy-karma-0-0.22.20140831git1ae921a8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-easy-karma-0-0.22.20140831git1ae921a8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9995/fedora-easy-karma-0-0.22.20140831git1ae921a8.fc21
then log in and leave karma (feedback).

Comment 11 Andre Robatino 2014-09-01 20:27:28 UTC
[andre@localhost ~]$ fedora-easy-karma --fas-username=robatino
Getting list of installed packages...
Waiting for Bodhi for a list of packages in updates-testing (F21)...
Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 566, in <module>
    FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 429, in __init__
    if self.options.ignore_own and update["submitter"] == fas_username:
UnboundLocalError: local variable 'fas_username' referenced before assignment

Comment 12 Fedora Update System 2014-09-05 05:56:53 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.el6

Comment 13 Fedora Update System 2014-09-05 05:56:59 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc21

Comment 14 Fedora Update System 2014-09-05 05:57:05 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.el5

Comment 15 Fedora Update System 2014-09-05 05:57:11 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.el7

Comment 16 Fedora Update System 2014-09-05 05:57:16 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc20

Comment 17 Fedora Update System 2014-09-05 05:57:24 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc19

Comment 18 Fedora Update System 2014-11-13 18:17:28 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-11-13 18:18:24 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-11-13 18:19:52 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-12-17 19:45:22 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-12-17 19:45:27 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-12-17 19:45:51 UTC
fedora-easy-karma-0-0.23.20140905git5fb5b77a.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.